#pragma once

#include	"stdThread.h"

class CThreadJob
{
public:
	CThreadJob(void);
	~CThreadJob(void);

	BOOL 	Begin();		// スレッドを開始する
	void 	End();			// スレッドを停止
	DWORD 	WaitForEnd();	// 停止するまで待つ

	// 派生クラスの実行内容を記述したDoWorkでオーバライド
	virtual UINT 	DoWork() { return 0; };

private:
	pthread_t    m_idThread;

protected:
	volatile BOOL	m_fStopFlag;

};
